package com.ti.mobpo

import android.app.Application
import com.ti.mobpo.data.AppContainer
import com.ti.mobpo.data.AppDataContainer
import com.ti.mobpo.ui.util.FeatureManager

class PokeSearch : Application() {
    lateinit var appContainer: AppContainer
        private set

    lateinit var featureManager: FeatureManager
        private set

    override fun onCreate() {
        super.onCreate()
        appContainer = createAppContainer()
        featureManager = createFeatrureManager()
    }

    private fun createAppContainer(): AppContainer {
        return AppDataContainer(this)
    }

    private fun createFeatrureManager(): FeatureManager {
        return FeatureManager(this)
    }
}
